use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct DecksterFile {
    key_pages: Vec<String>,
    button_pages: Vec<String>,
    knob_pages: Vec<String>,
    
    initial: DecksterFileInitial,
    icon_packs: Vec<DecksterFileIconPack>
}

#[derive(Debug, Deserialize)]
pub struct DecksterFileInitial {
    key_page: String,
    button_page: String,
    knob_page: String
}

#[derive(Debug, Deserialize)]
pub struct DecksterFileIconPack {
    id: String,
    path: String,
    global_filter: String
}